<div class="front_page_section front_page_section_about<?php
	$manoir_scheme = manoir_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $manoir_scheme ) && ! manoir_is_inherit( $manoir_scheme ) ) {
		echo ' scheme_' . esc_attr( $manoir_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( manoir_get_theme_option( 'front_page_about_paddings' ) );
	if ( manoir_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$manoir_css      = '';
		$manoir_bg_image = manoir_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $manoir_bg_image ) ) {
			$manoir_css .= 'background-image: url(' . esc_url( manoir_get_attachment_url( $manoir_bg_image ) ) . ');';
		}
		if ( ! empty( $manoir_css ) ) {
			echo ' style="' . esc_attr( $manoir_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$manoir_anchor_icon = manoir_get_theme_option( 'front_page_about_anchor_icon' );
	$manoir_anchor_text = manoir_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $manoir_anchor_icon ) || ! empty( $manoir_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $manoir_anchor_icon ) ? ' icon="' . esc_attr( $manoir_anchor_icon ) . '"' : '' )
									. ( ! empty( $manoir_anchor_text ) ? ' title="' . esc_attr( $manoir_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( manoir_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' manoir-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$manoir_css           = '';
			$manoir_bg_mask       = manoir_get_theme_option( 'front_page_about_bg_mask' );
			$manoir_bg_color_type = manoir_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $manoir_bg_color_type ) {
				$manoir_bg_color = manoir_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $manoir_bg_color_type ) {
				$manoir_bg_color = manoir_get_scheme_color( 'bg_color', $manoir_scheme );
			} else {
				$manoir_bg_color = '';
			}
			if ( ! empty( $manoir_bg_color ) && $manoir_bg_mask > 0 ) {
				$manoir_css .= 'background-color: ' . esc_attr(
					1 == $manoir_bg_mask ? $manoir_bg_color : manoir_hex2rgba( $manoir_bg_color, $manoir_bg_mask )
				) . ';';
			}
			if ( ! empty( $manoir_css ) ) {
				echo ' style="' . esc_attr( $manoir_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$manoir_caption = manoir_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $manoir_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $manoir_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $manoir_caption, 'manoir_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$manoir_description = manoir_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $manoir_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $manoir_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $manoir_description ), 'manoir_kses_content' ); ?></div>
				<?php
			}

			// Content
			$manoir_content = manoir_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $manoir_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $manoir_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$manoir_page_content_mask = '%%CONTENT%%';
					if ( strpos( $manoir_content, $manoir_page_content_mask ) !== false ) {
						$manoir_content = preg_replace(
							'/(\<p\>\s*)?' . $manoir_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$manoir_content
						);
					}
					manoir_show_layout( $manoir_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
