<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'manoir_cf7_get_css' ) ) {
	add_filter( 'manoir_filter_get_css', 'manoir_cf7_get_css', 10, 2 );
	function manoir_cf7_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
		.wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-select-container select {
			{$fonts['h5_font-family']}
			{$fonts['h5_font-size']}
			{$fonts['h5_line-height']}
			{$fonts['h5_font-weight']}
		}
		.wpbs-container .wpbs-calendars .wpbs-calendar .wpbs-calendar-header .wpbs-select-container select option {
			{$fonts['p_font-family']}
			{$fonts['p_font-size']}
			{$fonts['p_line-height']}
			{$fonts['p_font-weight']}
		}
		.sc_testimonials_classic .sc_testimonials_item .sc_testimonials_item_content {
			{$fonts['p_font-family']}
		}
			
CSS;
		}

		return $css;
	}
}
