<?php
/**
 * The template to display the background video in the header
 *
 * @package MANOIR
 * @since MANOIR 1.0.14
 */
$manoir_header_video = manoir_get_header_video();
$manoir_embed_video  = '';
if ( ! empty( $manoir_header_video ) && ! manoir_is_from_uploads( $manoir_header_video ) ) {
	if ( manoir_is_youtube_url( $manoir_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $manoir_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php manoir_show_layout( manoir_get_embed_video( $manoir_header_video ) ); ?></div>
		<?php
	}
}
