<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package MANOIR
 * @since MANOIR 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$manoir_copyright_scheme = manoir_get_theme_option( 'copyright_scheme' );
if ( ! empty( $manoir_copyright_scheme ) && ! manoir_is_inherit( $manoir_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $manoir_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$manoir_copyright = manoir_get_theme_option( 'copyright' );
			if ( ! empty( $manoir_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$manoir_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $manoir_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$manoir_copyright = manoir_prepare_macros( $manoir_copyright );
				// Display copyright
				echo wp_kses( nl2br( $manoir_copyright ), 'manoir_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
