<?php
/**
 * The template to display default site footer
 *
 * @package MANOIR
 * @since MANOIR 1.0.10
 */

$manoir_footer_id = manoir_get_custom_footer_id();
$manoir_footer_meta = get_post_meta( $manoir_footer_id, 'trx_addons_options', true );
if ( ! empty( $manoir_footer_meta['margin'] ) ) {
	manoir_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( manoir_prepare_css_value( $manoir_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $manoir_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $manoir_footer_id ) ) ); ?>
						<?php
						$manoir_footer_scheme = manoir_get_theme_option( 'footer_scheme' );
						if ( ! empty( $manoir_footer_scheme ) && ! manoir_is_inherit( $manoir_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $manoir_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'manoir_action_show_layout', $manoir_footer_id );
	?>
</footer><!-- /.footer_wrap -->
